Skip to content

Get a canon version

Canon module

GET/canon/versions/{generation}canonVersions.get

The current canon version and generation. Canon responses are cached by generation. Returns one canon version with its `ETag`. A canon version the caller may not see returns 404.

  • Requires the capability canon.taxonomy.read.
  • OAuth scopes: canon.
  • Error statuses: 400, 401, 404, 429. Errors are RFC 9457 problem details.

Path and query parameters

canonVersions.get: Path and query parameters
FieldTypeRequiredDescription
generationintegerYesCanon generation, incremented by every canon data migration.Constraints: range 1 to any
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Constraints: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Response 200: CanonVersion

canonVersions.get: CanonVersion
FieldTypeRequiredDescription
version_codestringYesCanon version.Constraints: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$
generationintegerYesCanon generation, incremented by every canon data migration.Constraints: range 1 to any
bible_generated_atstringYesGeneration time stated in the Bible _generated tab: a wall-clock time without a zone.Constraints: length 1 to 300
{
  "version_code": "4.0",
  "generation": 1,
  "bible_generated_at": "2026-10-01 09:00:00"
}

Code samples

curl -X GET "$XOS_BASE_URL/canon/versions/1" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.canonVersions.get("1");
response = xos.canon_versions.get("1")
xos canon-versions get 1